LibreOffice: XLoadable Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XLoadable Interface Referencepublished

provides functionality to implement objects which may be loaded. More...

`import <XLoadable.idl;`

Inheritance diagram for XLoadable:

## Public Member Functions
void | load ()
| loads the data.
void | unload ()
| unloads the data.
void | reload ()
| does a smart refresh of the object.
boolean | isLoaded ()
| returns if the object is in loaded state.
void | addLoadListener ([in] com::sun::star::form::XLoadListener aListener)
| adds the specified listener to receive load-related events
void | removeLoadListener ([in] com::sun::star::form::XLoadListener aListener)
| removes the specified listener.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides functionality to implement objects which may be loaded.

The object is typically implemented by high-level objects which can connect to a data source.

See also
  XLoadListener

Developers Guide
  Forms - Loadable Forms

## Member Function Documentation

## ◆ addLoadListener()

void addLoadListener | ( | [in] com::sun::star::form::XLoadListener | aListener | ) |

adds the specified listener to receive load-related events

Parameters

  aListener | the listener to add.

## ◆ isLoaded()

boolean isLoaded | ( |  | ) |

returns if the object is in loaded state.

## ◆ load()

void load | ( |  | ) |

loads the data.

If the data is already loaded (->isLoaded), then the method returns silently. In this case, you should use ->reload.

## ◆ reload()

void reload | ( |  | ) |

does a smart refresh of the object.

The final state will be the same as if unload and load were called, but reload is the more efficient way to do the same. If the object isn't loaded, nothing happens.

## ◆ removeLoadListener()

void removeLoadListener | ( | [in] com::sun::star::form::XLoadListener | aListener | ) |

removes the specified listener.

Parameters

  aListener | the listener to remove.

## ◆ unload()

void unload | ( |  | ) |

unloads the data.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XLoadable.idl